Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 651990 - Review Request: Prahita Masterpiece Uni Sans font - Myanmar TrueType font
Summary: Review Request: Prahita Masterpiece Uni Sans font - Myanmar TrueType font
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2010-11-10 18:36 UTC by Tin Myo Htet
Modified: 2013-06-15 01:31 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 453016
Environment:
Last Closed: 2013-06-15 01:31:54 UTC


Attachments (Terms of Use)

Description Tin Myo Htet 2010-11-10 18:36:42 UTC
Spec URL: http://prahita.sourceforge.net/files/rpm/prahita-masterpiece-unisans.spec
SRPM URL: http://prahita.sourceforge.net/files/rpm/prahita-masterpiece-unisans-fonts-0.7-1.fc14.src.rpm

Description: Masterpiece Uni Sans font is developed under Prahita Opensource Project to be used with mymr-pangomod module for Pango.

See also http://fedoraproject.org/wiki/Prahita_Masterpiece_Uni_Sans_fonts

Comment 1 Ankur Sinha (FranciscoD) 2011-02-27 07:36:50 UTC
Hey,

Looks okay. Please correct the changelog format to match one of those mentioned here:

http://fedoraproject.org/wiki/PackagingGuidelines#Changelogs

I'll do a complete review later in the day. 

Ankur

Comment 2 Ankur Sinha (FranciscoD) 2011-02-27 08:11:10 UTC
Are you a sponsored packager??! I don't think so. I cannot review this package yet. 

13:43 < FranciscoD> .fasinfo tmhtet
13:43 < zodbot> FranciscoD: User: tmhtet, Name: Tin Myo Htet, email: tmhtet@gmail.com, Creation: 2009-01-23, IRC Nick: None, Timezone: UTC, Locale: 
                C, Extension: 5123399, GPG key ID: None, Status: active
13:44 < zodbot> FranciscoD: Approved Groups: cla_fedora cla_done

Here's an informal review then.. A package sponsor will have to sponsor you and give the package final approval.

Adding a FE-NEEDSPONSOR


+ OK
- NA
X Issue

+ Package meets naming and packaging guidelines
+ Spec file matches base package name.
+ Spec has consistant macro usage.
+ Meets Packaging Guidelines.
+ License
+ License field in spec matches
+ License file included in package
+ Spec in American English
+ Spec is legible.
- Sources match upstream md5sum:

- Package needs ExcludeArch
+ BuildRequires correct
- Spec handles locales/find_lang
- Package is relocatable and has a reason to be.
+ Package has %defattr and permissions on files is good.
- Package has a correct %clean section.
- Package has correct buildroot
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
+ Package is code or permissible content.
- Doc subpackage needed/used.
+ Packages %doc files don't affect runtime.

- Headers/static libs in -devel subpackage.
- Spec has needed ldconfig in post and postun
- .pc files in -devel subpackage/requires pkgconfig
- .so files in -devel subpackage.
- -devel package Requires: %{name} = %{version}-%{release}
- .la files are removed.

- Package is a GUI app and has a .desktop file

- Package compiles and builds on at least one arch.
+ Package has no duplicate files in %files.
+ Package doesn't own any directories other packages own.
+ Package owns all the directories it creates.
X No rpmlint output.
+ final provides and requires are sane:
[ankur@ankur result]$ review-req-check 
== prahita-masterpiece-unisans-fonts-0.7-1.fc16.noarch.rpm ==
Provides:
config(prahita-masterpiece-unisans-fonts) = 0.7-1.fc16
font(:lang=my)  
font(masterpieceunisans)  
prahita-masterpiece-unisans-fonts = 0.7-1.fc16

Requires:
/bin/sh  
/bin/sh  
config(prahita-masterpiece-unisans-fonts) = 0.7-1.fc16
fontpackages-filesystem  

== prahita-masterpiece-unisans-fonts-0.7-1.fc16.src.rpm ==
Provides:

Requires:
fontpackages-devel  

SHOULD Items:

+ Should build in mock.
+ Should build on all supported archs
+ Should function as described.
- Should have sane scriptlets.
- Should have subpackages require base package with fully versioned depend.
+ Should have dist tag
+ Should package latest version
- check for outstanding bugs on package. (For core merge reviews)

Issues:

1.rpmlint output:

[ankur@ankur SRPMS]$ rpmlint ../SPECS/prahita-masterpiece-unisans.spec prahita-masterpiece-unisans-fonts-0.7-1.fc14.src.rpm /var/lib/mock/fedora-rawhide-i386/result/*.rpm
../SPECS/prahita-masterpiece-unisans.spec:16: W: mixed-use-of-spaces-and-tabs (spaces: line 6, tab: line 16)
../SPECS/prahita-masterpiece-unisans.spec: W: invalid-url Source0: http://prahita.sourceforge.net/masterpiece-unisans-ttf-0.7.tar.bz2 HTTP Error 404: Not Found
prahita-masterpiece-unisans-fonts.src: W: spelling-error %description -l en_US mymr -> myrrh, Myra, Myers
prahita-masterpiece-unisans-fonts.src: W: spelling-error %description -l en_US pangomod -> pangolin, pantomimed, Pangaea
prahita-masterpiece-unisans-fonts.src: W: no-version-in-last-changelog
prahita-masterpiece-unisans-fonts.src: E: invalid-spec-name
prahita-masterpiece-unisans-fonts.src:16: W: mixed-use-of-spaces-and-tabs (spaces: line 6, tab: line 16)
prahita-masterpiece-unisans-fonts.src: W: invalid-url Source0: http://prahita.sourceforge.net/masterpiece-unisans-ttf-0.7.tar.bz2 HTTP Error 404: Not Found
prahita-masterpiece-unisans-fonts.noarch: W: spelling-error %description -l en_US mymr -> myrrh, Myra, Myers
prahita-masterpiece-unisans-fonts.noarch: W: spelling-error %description -l en_US pangomod -> pangolin, pantomimed, Pangaea
prahita-masterpiece-unisans-fonts.noarch: W: no-version-in-last-changelog
prahita-masterpiece-unisans-fonts.src: W: spelling-error %description -l en_US mymr -> myrrh, Myra, Myers
prahita-masterpiece-unisans-fonts.src: W: spelling-error %description -l en_US pangomod -> pangolin, pantomimed, Pangaea
prahita-masterpiece-unisans-fonts.src: W: no-version-in-last-changelog
prahita-masterpiece-unisans-fonts.src: E: invalid-spec-name
prahita-masterpiece-unisans-fonts.src:16: W: mixed-use-of-spaces-and-tabs (spaces: line 6, tab: line 16)
prahita-masterpiece-unisans-fonts.src: W: invalid-url Source0: http://prahita.sourceforge.net/masterpiece-unisans-ttf-0.7.tar.bz2 HTTP Error 404: Not Found
3 packages and 1 specfiles checked; 2 errors, 15 warnings.

The specfile name is good. I'm not sure why it's giving an error. 
Do correct the indentation, either use spaces or tabs, but not both.
The changelog entry needs to be corrected, which I've already pointed out.

Comment 3 Tin Myo Htet 2011-02-28 16:29:24 UTC
Hi,
Thanks for informal review and advice, how can I get a package sponsor?

Myo Htet

Comment 4 Ankur Sinha (FranciscoD) 2011-02-28 17:03:41 UTC
https://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Comment 5 Jason Tibbitts 2012-04-25 00:12:41 UTC
Any response to the review commentary in comment 2?  It's been well over a year, and sponsors aren't going to be interested in looking at the package if comments aren't being addressed.

Comment 6 Jason Tibbitts 2013-06-15 01:31:54 UTC
No response in over a year; closing.


Note You need to log in before you can comment on or make changes to this bug.